package xyz.wbsite.frame.base;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.fasterxml.jackson.annotation.JsonIgnore;

import java.io.Serializable;
import java.util.Date;

/**
 * Base - 基类
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class BaseEntity implements Serializable {

    /**
     * 主键
     */
    @ExcelIgnore
    private long id;

    /**
     * 行版本
     */
    @ExcelIgnore
    private long rowVersion;

    /**
     * 创建用户
     */
    @JsonIgnore
    @ExcelIgnore
    private long createBy;

    /**
     * 创建时间
     */
    @ExcelIgnore
    private Date createTime;

    /**
     * 最后更新用户
     */
    @JsonIgnore
    @ExcelIgnore
    private long lastUpdateBy;

    /**
     * 最后更新时间
     */
    @JsonIgnore
    @ExcelIgnore
    private Date lastUpdateTime;

    /**
     * 是否删除
     */
    @JsonIgnore
    @ExcelIgnore
    private boolean isDeleted;

    public long getRowVersion() {
        return rowVersion;
    }

    public void setRowVersion(long rowVersion) {
        this.rowVersion = rowVersion;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getCreateBy() {
        return createBy;
    }

    public void setCreateBy(long createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public long getLastUpdateBy() {
        return lastUpdateBy;
    }

    public void setLastUpdateBy(long lastUpdateBy) {
        this.lastUpdateBy = lastUpdateBy;
    }

    public Date getLastUpdateTime() {
        return lastUpdateTime;
    }

    public void setLastUpdateTime(Date lastUpdateTime) {
        this.lastUpdateTime = lastUpdateTime;
    }

    public boolean getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(boolean deleted) {
        isDeleted = deleted;
    }
}
